aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.suspend
diff options
context:
space:
mode:
authorMitsuru IWASAKI <iwasaki@FreeBSD.org>1999-07-10 18:02:42 +0000
committerMitsuru IWASAKI <iwasaki@FreeBSD.org>1999-07-10 18:02:42 +0000
commit701279af09fa213d0b2e498b10706228a2688810 (patch)
treebb943c4a7092caddfd7fe5fd17ef4823fdec24ae /etc/rc.suspend
parent07c279cd0d7ef404574d4f0c7c4a9bb3099a7065 (diff)
Put apmd configuration and rc files in /etc.
Update some files for apmd.
Notes
Notes: svn path=/head/; revision=48734
Diffstat (limited to 'etc/rc.suspend')
-rwxr-xr-xetc/rc.suspend27
1 files changed, 27 insertions, 0 deletions
diff --git a/etc/rc.suspend b/etc/rc.suspend
new file mode 100755
index 000000000000..b60c2cf1719f
--- /dev/null
+++ b/etc/rc.suspend
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# $Id: rc.suspend,v 1.1.1 1999/07/09 01:34:57 iwasaki Exp $
+#
+# sample run command file for APM Suspend Event
+
+if [ -f /var/run/rc.suspend.pid ]
+then
+ exit 1
+fi
+
+echo $$ > /var/run/rc.suspend.pid
+
+# If you have troubles on suspending with PC-CARD modem, try this.
+# See also contrib/pccardq.c (Only for PAO users).
+#pccardq | awk -F '~' '$5 == "filled" && $4 ~ /sio/ \
+# { printf("pccardc power %d 0", $1); }' | sh
+
+logger -t apmd suspend at `date +'%Y%m%d %H:%M:%S'`
+sync && sync && sync
+sleep 3
+
+rm -f /var/run/rc.suspend.pid
+zzz
+
+exit 0
+